# Class: Record

## jala.DnsClient.Record(data)

Instances of this class wrap record data as received from the nameserver.

## Constructor

#### new Record(data)

Constructs a new instance of jala.DnsClient.Record.

##### Parameters:

Name | Type | Description
--- | --- | ---
`data` | org.wonderly.net.dns.RR | The data as received from the nameserver

Source:
  - jala/code/DnsClient.js, line 201

##### Returns:

A newly constructed Record instance

### Members

#### cname :String

The CNAME of this record. This will only be set for records of type CNAME

##### Type:

- String

Source:
  - jala/code/DnsClient.js, line 242
See:
  - #TYPE_CNAME

#### email :String

The email address responsible for a name server. This property will only be set for records of type SOA

##### Type:

- String

Source:
  - jala/code/DnsClient.js, line 258
See:
  - #TYPE_SOA

#### host :String

The name of the host. This will only be set for records of type A, AAAA and NS.

##### Type:

- String

Source:
  - jala/code/DnsClient.js, line 225
See:
  - #TYPE_A
  - #TYPE_AAAA
  - #TYPE_NS

#### ipAddress :String

The IP address of the host. This will only be set for records of type A and AAAA

##### Type:

- String

Source:
  - jala/code/DnsClient.js, line 234
See:
  - #TYPE_A
  - #TYPE_AAAA

#### mx :String

The name of the mail exchanging server. This is only set for records of type MX

##### Type:

- String

Source:
  - jala/code/DnsClient.js, line 250
See:
  - #TYPE_MX

#### text :String

Descriptive text as received from the nameserver. This is only set for records of type TXT

##### Type:

- String

Source:
  - jala/code/DnsClient.js, line 266
See:
  - #TYPE_TXT

#### type :Number

The type of the nameserver record represented by this Answer instance.

##### Type:

- Number

Source:
  - jala/code/DnsClient.js, line 215
See:
  - #TYPE_A
  - #TYPE_CNAME
  - #TYPE_HINFO
  - #TYPE_MX
  - #TYPE_NS
  - #TYPE_PTR
  - #TYPE_SOA
  - #TYPE_TXT
  - #TYPE_WKS

### Methods

#### getData()

Returns the wrapped nameserver record data

Source:
  - jala/code/DnsClient.js, line 273

##### Returns:

The wrapped data